#include "spi.h"

#define _25LC080_READ 3
#define _25LC080_WRITE 2
#define _25LC080_WRDI 4
#define _25LC080_WREN 6
#define _25LC080_RDSR 5
#define _25LC080_WRSR 1
#define _25LC080_WIP 0
#define _25LC080_BP1 3
#define _25LC080_BP0 2

uint8_t eepromReadByte(uint16_t address);
void eepromReadBytes(uint16_t address, uint8_t data[], uint16_t size);
void eepromWriteByte(uint16_t address, uint8_t data);
void eepromWriteBytes(uint16_t address, uint8_t data[], uint16_t size);
uint8_t eepromReadStatus(void);
void eepromWriteStatus(uint8_t data);
void eepromWriteEnable(void);
void eepromWriteDisable(void);
uint8_t eepromIsBusy(void);